package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfFinanceLeaseD;
import com.artfess.cqlt.model.QfFinanceLeaseM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 资金-融资租赁填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceLeaseMManager extends BaseManager<QfFinanceLeaseM> {

    boolean insertInfo(QfFinanceLeaseM t);

    boolean updateInfo(QfFinanceLeaseM t);

    boolean updateStatus(QfFinanceLeaseM t);

    boolean importExcel(List<QfFinanceLeaseD> list, String mainId);
}
